
/*]  Copyright (c) 2009-2010, Charles McGarvey  [**************************
**]  All rights reserved.
*
* vi:ts=4 sw=4 tw=75
*
* Distributable under the terms and conditions of the 2-clause BSD license;
* see the file COPYING for a complete text of the license.
*
**************************************************************************/

#ifndef _VERSION_H_
#define _VERSION_H_


// the time and date of the compilation
extern const char* COMPILE_TIME;


// yoinked from fluxbox

#ifdef __VERSION__
#define COMPILER_VERSION __VERSION__

#ifdef __GNUG__
#define COMPILER_NAME "GCC"
#endif  // __GNUG__

#elif (defined(__sgi) || defined(sgi)) && __COMPILER_VERSION
#define COMPILER_NAME "SGI"
#define COMPILER_VERSION __COMPILER_VERSION
#elif defined(__MWERKS__)
#define COMPILER_NAME "MWERKS"
#define COMPILER_VERSION __MWERKS__
#elif defined(__INTEL_COMPILER) || defined(__ICC)
#define COMPILER_NAME "ICC"
#define COMPILER_VERSION __INTEL_COMPILER
#elif defined(__SUNPRO_CC)
#define COMPILER_NAME "SUNPRO_CC"
#define COMPILER_VERSION __SUNPRO_CC
#elif defined(__COMO__) && defined(__COMO_VERSION__)
#define COMPILER_NAME "COMO"
#define COMPILER_VERSION __COMO_VERSION__
#elif defined(_CRAYC) && defined(_REVISION)
#define COMPILER_NAME "CRAYC"
#define COMPILER_VERSION _REVISION
#elif defined(__DECCXX) && defined(__DECCXX)
#define COMPILER_NAME "DECCXX"
#define COMPILER_VERSION __DECCXX
#elif defined(__DCC__)
#define COMPILER_NAME "DCC"
#define COMPILER_VERSION __VERSION_NUMBER__
#endif // __VERSION__

#ifdef COMPILER_NAME
#ifdef COMPILER_VERSION
#define COMPILER_STRING COMPILER_NAME" "COMPILER_VERSION
#else
#define COMPILER_STRING COMPILER_NAME" (unknown version)"
#define COMPILER_VERSION "Unknown"
#endif // COMPILER_VERSION
#else
#define COMPILER_STRING "Unknown"
#define COMPILER_NAME "Unknown"
#endif // COMPILER_NAME


#endif // _VERSION_H_

